Offline Files

  • Common Tasks
  • How To...
  • Concepts


Common tasks: Offline Files

Common tasks

The following tasks are frequently conducted using Offline Files. Click the Index or Search tab to search for a specific word or phrase.

Set up your computer to use Offline Files

Your computer must be set up to use Offline Files before you can make files or folders available offline.

Step-by-step procedure

Make files or folders available offline

Shared network files or other items must be made available offline before the features of Offline Files can be used.

Step-by-step procedure

Change how Offline Files responds to network disconnection

The default response to disconnection from the network can be assigned, and the response can be assigned differently for each of the individual computers sharing files on the network.

Step-by-step procedure

Offline Files for mobile users

Offline Files provides a way for mobile users to ensure that the most current versions of network files are available before disconnecting from the network, and that work done offline will be synchronized with the network when reconnecting.

Additional information


How To...

  • Make a file or folder available offline
  • Change Offline Files response to network disconnection
  • Set up your computer to use Offline Files


Make a file or folder available offline

To make a file or folder available offline

  1. In My Computer or My Network Places, click the shared network file or folder that you want to make available offline.
  2. On the File menu, click Make Available Offline.

    Important

    • Make Available Offline will appear on the File menu only if your computer was set up to use Offline Files. For information on setting up your computer to use Offline Files, see Related Topics.

Notes

  • The first time you make an item available offline, the Offline Files wizard will guide you through the process. When the Synchronizing dialog box disappears, the item is available offline.

  • Individual files from a shared network folder or an entire shared network folder can be made available offline. If an entire folder is made available offline, any files placed in that shared folder will automatically be made available offline the next time the computers are synchronized.
  • If a shortcut to a file is made available offline, that file is made available offline, but if a shortcut to a folder is made available offline, the contents of that folder will not be made available offline.
  • When the status of your network connection changes, an Offline Files icon appears in the status area, and an informational balloon is displayed over the status area to notify you of the change. If the informational balloon notifies you that you are offline, you can continue to work with your files as you normally do, or you can click the Offline Files icon in the status area for more information about the status of your connection.
  • To undo making a file or folder available offline, right-click the item and click Make Available Offline again to remove the check mark.

Related Topics


Change how Offline Files responds to network disconnection

To change how Offline Files responds to network disconnection

  1. Open My Computer.
  2. On the Tools menu, click Folder Options.
  3. On the Offline Files tab, click Advanced.
  4. Under When a network connection is lost, do one of the following:
    • Click Notify me and begin working offline to receive notification of the lost connection and to continue working with offline files and folders.
    • Click Never allow my computer to go offline to make offline files and folders unavailable to you if you lose your network connection.

Note

  • To open My Computer, double-click My Computer on your desktop.
  • To set up individual computers to respond differently from the default, click Add. For example, if you want to continue working offline by default but you do not want to work offline on any files from a particular computer on the network, you can add that computer's name to the exception list and select Never allow my computer to go offline as the behavior for that computer.


Set up your computer to use Offline Files

To set up your computer to use Offline Files

  1. Open My Computer.
  2. On the Tools menu, click Folder Options.
  3. On the Offline Files tab, make sure that the Enable Offline Files check box is selected.
  4. Select Synchronize all offline files before logging off to get a full synchronization. Leave it unselected for a quick synchronization.

Notes

  • To open My Computer, double-click My Computer on your desktop.
  • A full synchronization ensures that you have the most current versions of every network file that has been made available offline. A quick synchronization ensures that you have complete versions of all your offline files, though they may not necessarily be the most current versions.
  • By default, the Enable Offline Files check box is selected in Windows 2000 Professional but is cleared in Windows 2000 Server.
  • Even if your computer is configured to use Offline Files, you must still select the network files and folders that you want to make available offline.
  • To view a list of all of the network files that are available offline, on the Offline Files tab, click View Files.


Concepts

  • Offline Files overview
  • Working offline
  • Sharing a drive or folder
  • Handling file conflicts
  • Offline Files for mobile users


Offline Files overview

Using Offline Files, you can continue to work with network files and programs even when you are not connected to the network.

If you lose your connection to the network or undock your portable computer, your view of shared network items that have been made available offline remains just as it was when you were connected. You can continue to work with them as you normally do. You have the same access permissions to those files and folders as you would have if you were connected to the network. When the status of your connection changes, an Offline Files icon appears in the status area, and an informational balloon is displayed over the status area to notify you of the change.

When your network connection is restored or when you dock your portable computer, any changes that you made while working offline are updated to the network. When you and someone else on the network have made changes to the same file, you have the option of saving your version of the file to the network, keeping the other version, or saving both.

Notes

  • Synchronization can be initiated manually or Synchronization Manager can be set to control when offline files are synchronized with the network. Synchronization Manager also controls whether a full or a quick synchronization is performed. A full synchronization ensures that you have the most current version of every network file that has been made available offline. A quick synchronization is much faster than a full synchronization, but may not provide the most current version of every network file that has been made available offline. However, a quick synchronization does ensure that a complete version of every file is available so that you can continue working.
  • Any shared files or folders on a Microsoft network can be made available offline. You can make files available offline from any computer that supports Server Message Block-based (SMB) File and Printer Sharing, including Windows 95, Windows 98, and Windows NT 4.0. Offline Files is not available on Novell NetWare networks.
  • The system administrator can set up shared folders so that either every network file you open in that shared folder is automatically made available offline, or only those network files you choose are made available offline.
  • If a shortcut to a file is made available offline, that file is made available offline, but if a shortcut to a folder is made available offline, the contents of that folder will not be made available offline.


Working offline overview

Offline Files notifies you if the status of your network connection changes. When the status of your network connection changes, an Offline Files icon appears in the status area, and an informational balloon is displayed over the status area to notify you of the change. If the informational balloon notifies you that you are offline, you can continue to work with your files as you normally do, or you can click the Offline Files icon in the status area for more information about the status of your connection.

If you are working offline (either because you are disconnected from the network or because you undocked your portable computer), you can still browse network drives and shared folders in My Computer or My Network Places. A red X appears over any disconnected network drives. You will be able to see only those files that you made available offline and any files that you created after the network connection was lost.

Your permissions on the network files and folders remain the same whether you are connected to the network or working offline. For example, a read-only document on a mapped network drive would remain read-only if you were disconnected from the network.

When you are disconnected from the network, you can print to local printers, but you cannot print to shared printers on the network. Instead, the file is spooled and prints to your local printer when you are reconnected to the network.

Once you reconnect to the network, Synchronization Manager updates the network files with changes that you made while working offline.


Sharing a drive or folder overview

A folder on your computer can be shared with others on the network. When you share a folder, you can decide the permissions that others will be allowed or denied when they access the files in that folder over the network. You can also specify whether others will be able to make the shared folder available offline.

To make shared network files available offline, Offline Files stores a version of them in a reserved portion of disk space on your computer called a cache. The computer can access this cache regardless of whether it is connected to the network. There are three caching options to choose from when sharing files:

Manual caching for documents

Manual Caching for Documents provides offline access to only those files that someone using your shared folder specifically (or manually) identifies. This caching option is ideal for a shared network folder containing files that are to be accessed and modified by several people. This is the default option when you set up a shared folder to be used offline.

Automatic caching for documents

Automatic Caching for Documents makes every file that someone opens from your shared folder available to them offline. However, this setting does not make every file in your shared folder available to them offline, only those files that are opened. Files that are not opened are not available offline.

Automatic caching for programs

Automatic Caching for Programs provides offline access to shared folders containing files that are not to be changed. This caching option is ideal for making files available offline that are read, referenced, or run, but that are not changed in the process. Automatic Caching for Programs reduces network traffic because offline files are opened directly, without accessing the network versions in any way, and generally start and run faster than the network versions.

When you use Automatic Caching for Programs, be sure to restrict permissions on the files contained in the shared folder to read-only access.

Notes

  • The default cache size is set to 10 percent of available drive space. You can alter this setting in the Offline Files tab of Folder Options. For more information, see Related Topics. You can also see how much space the cache is using by opening the Offline Files folder and clicking Properties on the File menu.
  • By default, Offline Files stores shared network files in the root directory of your hard disk. You can use Offline Files Cache Mover (cachemov.exe), available in the Windows 2000 Professional Resource Kit, to change the cache location.


Handling file conflicts

When you synchronize files, the files that you opened or updated while disconnected from the network are compared to the versions of the files that are saved on the network. As long as the same files you changed haven't been changed by someone else while you were offline, your changes are copied to the network.

If someone else made changes to the same network file that you updated offline, you are given a choice of keeping your version, keeping the one on the network, or keeping both. To save both versions of the file, give your version a different file name, and both files will appear in both locations.

If you delete a network file on your computer while working offline but someone else on the network makes changes to that file, the file is deleted from your computer but not from the network.

If you change a network file while working offline but someone else on the network deletes that file, you can choose to save your version onto the network or delete it from your computer.

If you are disconnected from the network when a new file is added to a shared network folder that you have made available offline, that new file will be added to your computer when you reconnect and synchronize.


Offline Files for mobile users

If you travel frequently and rely on a portable computer to accomplish most of your work, Offline Files provides a way to ensure that you are working with the most current versions of the network files and that your work will be synchronized with the network when you reconnect. Using Offline Files, you can navigate through shared folders and mapped network drives regardless of whether you are connected to a network.

Use the following procedures, in this order, to work with Offline Files on a portable computer:

Make a file or folder available offline

Before you undock your portable computer, you must first select the shared network files or folders that you want to use when you are disconnected from the network and make them available offline.

Step-by-step procedure

Synchronize files when you log on or off

Second, you should set up Synchronization Manager to reflect the way you want your portable computer to synchronize your files when you log on and off the network.

Step-by-step procedure

Undock a portable computer

Once you have completed the previous tasks, you can undock your portable computer and begin working offline.

Step-by-step procedure

Working offline

While working offline, you can still browse network drives and shared folders in My Computer or My Network Places. You will be able to see only those files that you made available offline and any files that you created after the network connection was lost. A red X appears over any disconnected network drives. Your permissions on the network files and folders remain the same whether you are connected to the network or working offline.

Additional information

Handling file conflicts

Then, when you are finished working offline and dock your portable computer again, you must also synchronize your files again. Synchronizing your files updates the network files with changes that you made while working offline. By having Synchronization Manager automatically synchronize your files when you log on, you ensure that your latest changes to the files are reflected on the network and that any file conflicts are handled properly.

Additional information